CREATE TABLE cz_rule_templates (
    TEMPLATE_CODE            VARCHAR2(192) ,
    TEMPLATE_TYPE            VARCHAR2(120)     NOT NULL,
    SIGNATURE_CODE           VARCHAR2(192)     NOT NULL,
    TEMPLATE_TOKEN           VARCHAR2(120) ,
    NAME                     VARCHAR2(512) ,
    DESCRIPTION              VARCHAR2(4000),
    PRIMITIVE_FLAG           VARCHAR2(4)   ,
    TOP_LEVEL_FLAG           VARCHAR2(4)   ,
    SEEDED_FLAG              VARCHAR2(4)       NOT NULL,
    DELETED_FLAG             NUMBER(18, 0)     NOT NULL,
    CONSTRAINT_FLAG          VARCHAR2(4)   ,
    DEFAULT_DECISION_FLAG    VARCHAR2(4)   ,
    SEARCH_DECISION_FLAG     VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    TEMPLATE_CODE            VARCHAR2(192) ,
    TEMPLATE_TYPE            VARCHAR2(120)     NOT NULL,
    SIGNATURE_CODE           VARCHAR2(192)     NOT NULL,
    TEMPLATE_TOKEN           VARCHAR2(120) ,
    NAME                     VARCHAR2(512) ,
    DESCRIPTION              VARCHAR2(4000),
    PRIMITIVE_FLAG           VARCHAR2(4)   ,
    TOP_LEVEL_FLAG           VARCHAR2(4)   ,
    SEEDED_FLAG              VARCHAR2(4)       NOT NULL,
    DELETED_FLAG             NUMBER(18, 0)     NOT NULL,
    CONSTRAINT_FLAG          VARCHAR2(4)   ,
    DEFAULT_DECISION_FLAG    VARCHAR2(4)   ,
    SEARCH_DECISION_FLAG     VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cz_rule_templates PRIMARY KEY (TEMPLATE_CODE, TEMPLATE_CODE)
);
